[OSM-talk] osm2pgsql 0.90.0 release

Jeff McKenna jmckenna at gatewaygeomatics.com
Thu Mar 3 13:48:54 UTC 2016


Thank you for the update Paul, I am excited to try the improved MSVC 
compiler support soon.  (I am currently upgrading to Visual Studio 2015, 
from an old 2008)

-jeff


-- 
Jeff McKenna
MapServer Consulting and Training Services
http://www.gatewaygeomatics.com/




On 2016-03-02 10:27 AM, Paul Norman wrote:
> Osm2pgsql 0.90.0 has been released. The major changes since 0.88.0 are
>
> - Windows support is much improved, and osm2pgsql builds natively with MSVC
>
> - Osm2pgsql now requires a C++11 compiler
>
> - Memory overhead for very small extracts is significantly reduced
>
> - Multi-threading support is enabled for Windows
>
> - The build system has switched from autotools to cmake
>
> - Parsing is now done by libosmium and protobuf-c-compiler is not required
>
> - Multi-backend improvements and bug fixes
>
> - PBF support is no longer optional
>
> - Legacy code from 32-bit node IDs has been removed
>
> - Builds now generate no GCC or Clang warnings or errors
>
> Upgrading is strongly recommended for anyone using the multi backend or
> Windows.
>
> This will be the last version that supports PostGIS 1.5 or PostgreSQL
> 9.0. Both of these have been end of life for some time.
>
> Future version will also use EPSG 3857 by default, not 900913.
>
> A full list of commits can be found at
> https://github.com/openstreetmap/osm2pgsql/compare/0.88.0...0.90.0
>
>




More information about the talk mailing list